Subject: [bug#62635] [PATCH v1 1/3] gnu: geary: Fix failing build.

From: Juliana Sims <[email-masked]>
Date: Sun, 7 May 2023 15:06:04 -0400

Hello,

This set of patches will fix Geary's build as well as apply the same changes
mentioned previously. For whatever reason, I had deleted the original
branch I made, so this is a clean patchset.

Let me know if I need to make any changes :)

Thanks,
Juli

* gnu/packages/gnome.scm (geary): Fix failing build.
[arguments]: Disable failing test.
[native-inputs]: Use older version of vala.
---
 gnu/packages/gnome.scm | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index b3c954d849..d0e4efc416 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -74,6 +74,7 @@
 ;;; Copyright © 2022 Alexandros Theodotou <[email-masked]>
 ;;; Copyright © 2022 Arjan Adriaanse <[email-masked]>
 ;;; Copyright © 2023 Kaelyn Takata <[email-masked]>
+;;; Copyright © 2023 Juliana Sims <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -234,6 +235,7 @@ (define-module (gnu packages gnome)
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
+  #:use-module (guix transformations)
   #:use-module (guix utils)
   #:use-module (guix gexp)
   #:use-module (ice-9 match)
@@ -12314,6 +12316,9 @@ (define-public geary
                     (lambda _
                       (substitute* "test/test-client.vala"
                         (("client.add_suite\\(new Application.CertificateManagerTest\\(\\).suite\\);")
+                         ""))
+                      (substitute* "test/test-engine.vala"
+                        (("engine.add_suite\\(new Geary.RFC822.MessageDataTest\\(\\).suite\\);")
                          ""))))
                   (add-after 'unpack 'generate-vapis
                     (lambda* (#:key inputs #:allow-other-keys)
@@ -12376,7 +12381,7 @@ (define-public geary
            libxml2
            pkg-config
            python-minimal
-           vala
+           vala-0.52
            xorg-server-for-tests))
     (synopsis "GNOME email application built around conversations")
     (description

base-commit: d16826cc32ba821e17236dea0536da7200947c97
-- 
2.39.2